> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/checks/list-checks.md).

# List checks

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/checks`

This endpoint allows you to list all existing checks.\
\
The checks are returned sorted by creation date, with the most recent checks appearing first.

### Headers

<table><thead><tr><th width="322">Name</th><th width="122">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The <strong>live</strong> or <strong>sandbox</strong> API key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="326">Name</th><th width="118">Type</th><th>Description</th></tr></thead><tbody><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) and [checks filters](/documentation/api-reference/core-resources/checks/filtering-checks.md) for this endpoint.
{% endhint %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/checks \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```typescript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const checks = await complycube.check.list("CLIENT_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

check_list = cc_api.checks.list() 
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$check_list = $ccapi->checks()->list();
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Checks;

var checkApi = new CheckApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var checks = await checkApi.ListAsync();
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
            "id": "5eb2b61e02df0a0008f1cf2a",
            "clientId": "5eb1276d96be4a0008713af5",
            "entityName": "John Doe",
            "type": "extensive_screening_check",
            "status": "complete",
            "enableMonitoring": false,
            "result": {
                "outcome": "clear"
            },
            "createdAt": "2020-01-01T14:06:44.756Z",
            "updatedAt": "2020-01-01T14:06:45.743Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/checks/list-checks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
